summaryrefslogtreecommitdiff
path: root/dev-python/pytest-tempdir
diff options
context:
space:
mode:
authorPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
committerPalica <palica+gitlab@liguros.net>2020-06-23 22:35:08 +0200
commitecdac123787b96ce6649f0f91da12ea6458cc2b1 (patch)
treeb89c74d9e6fe6e8aebc4c77bcbeb4ab73214127d /dev-python/pytest-tempdir
parent1be72aa41cf41dedadeecf59dca9f01de6381f5e (diff)
downloadbaldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.gz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.tar.xz
baldeagleos-repo-ecdac123787b96ce6649f0f91da12ea6458cc2b1.zip
Updating liguros repo
Diffstat (limited to 'dev-python/pytest-tempdir')
-rw-r--r--dev-python/pytest-tempdir/Manifest1
-rw-r--r--dev-python/pytest-tempdir/metadata.xml9
-rw-r--r--dev-python/pytest-tempdir/pytest-tempdir-2019.10.12.ebuild27
3 files changed, 37 insertions, 0 deletions
diff --git a/dev-python/pytest-tempdir/Manifest b/dev-python/pytest-tempdir/Manifest
new file mode 100644
index 000000000000..9594d221c021
--- /dev/null
+++ b/dev-python/pytest-tempdir/Manifest
@@ -0,0 +1 @@
+DIST pytest-tempdir-2019.10.12.tar.gz 9859 BLAKE2B fe4d32d2de3d577952b90a811c38f1cfa0c16badf9115a1b70faf07f0123e29935c01bfc3c1b9c616a0eeb3e0da9f42a4415687a4862830e0edea505a99dfc04 SHA512 d6f8994423d9be90f4be20878f980ad4604475ccd4b65975cd3cad357c2d6a2a7bb8623e4ccd7441437ad72b7899d8b59ae19ca3a52c35a6c24456e44b7626de
diff --git a/dev-python/pytest-tempdir/metadata.xml b/dev-python/pytest-tempdir/metadata.xml
new file mode 100644
index 000000000000..e130a91304be
--- /dev/null
+++ b/dev-python/pytest-tempdir/metadata.xml
@@ -0,0 +1,9 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>chutzpah@gentoo.org</email>
+ <name>Patrick McLean</name>
+ </maintainer>
+ <origin>gentoo-staging</origin>
+</pkgmetadata>
diff --git a/dev-python/pytest-tempdir/pytest-tempdir-2019.10.12.ebuild b/dev-python/pytest-tempdir/pytest-tempdir-2019.10.12.ebuild
new file mode 100644
index 000000000000..7ea0a4c86465
--- /dev/null
+++ b/dev-python/pytest-tempdir/pytest-tempdir-2019.10.12.ebuild
@@ -0,0 +1,27 @@
+# Copyright 2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6,7,8} )
+DISTUTILS_USE_SETUPTOOLS=rdepend
+inherit distutils-r1
+
+DESCRIPTION="Pytest plugin to support for a predictable and repeatable temporary directory"
+HOMEPAGE="https://github.com/saltstack/pytest-tempdir"
+SRC_URI="https://github.com/saltstack/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="amd64 x86"
+
+BDEPEND="
+ >=dev-python/pytest-2.8.1[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ distutils_install_for_testing
+ pytest -vv || die "Tests failed with ${EPYTHON}"
+}